summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2014-07-07 14:41:56 +0000
committerMichał Górny <mgorny@gentoo.org>2014-07-07 14:41:56 +0000
commit0e34f3551641ce71c40ce335f84e5e9bfeadb067 (patch)
tree160a2d14e1ec4ea0d78bcd26f9295384cf19c86f /eclass
parentPass --enable-sql for non-native build only when SQLite is enabled (since MyS... (diff)
downloadgentoo-2-0e34f3551641ce71c40ce335f84e5e9bfeadb067.tar.gz
gentoo-2-0e34f3551641ce71c40ce335f84e5e9bfeadb067.tar.bz2
gentoo-2-0e34f3551641ce71c40ce335f84e5e9bfeadb067.zip
Stop forcing -m0755 on EGIT3_STORE_DIR and parents, bug #516508.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/git-r3.eclass4
2 files changed, 6 insertions, 3 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 350204da6e6e..89436129b73e 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1316 2014/07/07 12:43:35 haubi Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1317 2014/07/07 14:41:56 mgorny Exp $
+
+ 07 Jul 2014; Michał Górny <mgorny@gentoo.org> git-r3.eclass:
+ Stop forcing -m0755 on EGIT3_STORE_DIR and parents, bug #516508.
07 Jul 2014; Michael Haubenwallner <haubi@gentoo.org>
ELT-patches/aixrtl/1.5.0-cmds-c, ELT-patches/aixrtl/1.5.0-cmds-cxx,
diff --git a/eclass/git-r3.eclass b/eclass/git-r3.eclass
index 99b2ffe9a2d1..76b406611bc5 100644
--- a/eclass/git-r3.eclass
+++ b/eclass/git-r3.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/git-r3.eclass,v 1.44 2014/06/20 11:40:28 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/git-r3.eclass,v 1.45 2014/07/07 14:41:56 mgorny Exp $
# @ECLASS: git-r3.eclass
# @MAINTAINER:
@@ -302,7 +302,7 @@ _git-r3_set_gitdir() {
if [[ ! -d ${EGIT3_STORE_DIR} ]]; then
(
addwrite /
- mkdir -m0755 -p "${EGIT3_STORE_DIR}" || die
+ mkdir -p "${EGIT3_STORE_DIR}" || die
) || die "Unable to create ${EGIT3_STORE_DIR}"
fi